Geo Fencing API
Introduction
Geo-fencing (geofencing) is a feature in a software program that uses the global positioning system (GPS) or radio frequency identification (RFID) to define geographical boundaries.
How to call the API
You will need to login before sending Geofencing request. You are required to pass the access token received from the login call, as authorization header in the request for Risk API along with other parameters.
API Input Guidelines
Need to pass the following information
- IP address
- Country Name
- State
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/..patronId../riskscores' \
--header 'accept-language: en-US,en;q=0.8' \
--header 'Authorization: <token>' \
--header 'content-type: application/json' \
--data-raw '{
"task": "geoFencing",
"essentials": {
"ip": "<IP address>",
"country": "<Country>",
"state": "<state name>"
}
}'Response Parameter
Parameter Name | Data Type | Description |
|---|---|---|
id | String | Unique Id |
patronId | String | Unique ID for each patron. Which will be a alphanumeric value of 24 characters in length eg: 5a12eaf09fa3e67936b43c52 |
result.ip | String | IP address for which geo fencing is done |
result.country | String | Contains Country name |
result.state | String | Name of state |
result.statecode | String | State code of the state |
result.city | String | City name of the location |
result.zipcode | String | Zip code of the located region |
result.timezone | String | Time zone of the located region |
result.latitude | Float | Latitude of the location |
result.longitude | Float | Longitude of the location |
Error Codes
Error Code | HTTP Status Code | Description |
|---|---|---|
409 | Conflict (409) | Max retries reached while attempting to retrieve data from upstream. |
400 | Bad Request (400) | An error occurred while retrieving data from the upstream API, and the specific error message is included in the response. |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].